## qlipper 5.0.0

=== CMakeLists.txt ===
# CMakeLists.txt
# -------------------------------------------------------
# An initial version of the cmake build for qlipper.
# WORK IN PROGRESS. USE qmake STILL FOR NOW, PLEASE!
# Currently tested on unix only.
# -------------------------------------------------------
# UNIX - usage (for OSX see below)
# 1. cd qlipper/root/dir
# 2. mkdir build
# 3. cd build
# 4. cmake ../qlipper-git -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=debug (or release, by default)
# 5. make
# 6. make install
# -------------------------------------------------------
# WINDOWS - usage
# You have to have MinGW installed  (it works with MinGW). If you use different compiler, then "make" steps will differ.
# You have to have CMake installed.
# I recommend using cmake-gui to generate and configure MakeFiles like this.
# 1. Run cmake-gui and select folder which contains top-level CMakelists.txt file into "Where the is source code" box. This can be also done in command line via simpler cmake.exe.
# 2. Select folder which you want to contain compiled binaries into "Where to build the binaries" box.
# 3. Hit Configure button (make any changes to variables first) and select MinGW Makefiles as generator. Choose "Specify native compilers".
# 4. Now input path to C++ compiler. For example "C:/QtSDK/mingw/bin/g++.exe", then hit "Finish".
# 5. Project will configure now, hit "Configure" button again. Then hit "Generate" button and close cmake-gui.
# 6. Run your command line as ADMINISTRATOR and navigate to your "Where to build the binaries" folder.
# 7. Run "mingw32-make.exe" command. Note that -j3 parameter may speed-up building. Your files gets compiled now.
# 8. Run "mingw32-make.exe install" command. Your files gets copied into directory specified by CMAKE_INSTALL_PREFIX variable.
# 9. You are done.
# 10. Run "make install" to install application to CMAKE_INSTALL_PREFIX (which is se to C:\Program Files\qlipper\ by default - can be changed in step 3).
# -------------------------------------------------------
# MAC OS X
# 1. cd qlipper/root/dir
# 2. mkdir build
# 3. cd build
# 4. cmake ../qlipper-git -DCMAKE_INSTALL_PREFIX=../release -DCMAKE_BUILD_TYPE=debug (or release, by default)
# 5. make
# 6. make install
#    now is the qlipper.app bundle created. But it can run only in current machine.
#    If you need "redistributable" binary call:
# 7. make bundle
#    It will copy all dependecies (libs/resources) into bundle tree
# -------------------------------------------------------

CMAKE_MINIMUM_REQUIRED(VERSION 3.0.0)

project(qlipper)


set(QLIPPER_VERSION 5.0.0)

option(ENABLE_NETWORK_CLIPBOARD_SHARING "Enables experimental network support for clipboard sharing" OFF)
option(USE_SYSTEM_QXT "Use system Qxt Library for global shortcuts; off for Qt5" OFF)
option(USE_SYSTEM_QTSA "Use system QtSingleApplication; off for Qt5" OFF)


LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)


find_package(Qt5Widgets REQUIRED)
find_package(Qt5LinguistTools REQUIRED)

if (USE_SYSTEM_QXT)
    find_package(Qxt)
    message(STATUS "Use system Qxt Library: " ${USE_SYSTEM_QXT})
    if (USE_SYSTEM_QXT AND NOT QXT_FOUND)
        message(FATAL_ERROR "System Qxt not found")
    endif ()
endif()


set(EXE_NAME "qlipper")
if (APPLE)
    set(EXE_NAME "QLipper")
endif (APPLE)


add_definitions(-DIS_CMAKE)
add_definitions(-DQLIPPER_VERSION="${QLIPPER_VERSION}")
if (ENABLE_NETWORK_CLIPBOARD_SHARING)
    add_definitions(-DENABLE_NETWORK_CLIPBOARD_SHARING)
endif (ENABLE_NETWORK_CLIPBOARD_SHARING)


# source code and compilation
set (QLIPPER_HEADERS
    qkeysequencewidget/qkeysequencewidget.h
    qkeysequencewidget/qkeysequencewidget_p.h
    qmenuview/qmenuview.h
    qmenuview/qmenuview_p.h
    src/qlippermenuview.h
    src/qlippermodel.h
    src/qlipperpreferencesdialog.h
    src/qlippersystray.h
    src/qlippernetwork.h
    src/clipboardwrap.h
)
set (QLIPPER_SOURCES 
    qkeysequencewidget/qkeysequencewidget.cpp
    qmenuview/qmenuview.cpp
    src/main.cpp
    src/qlipperitem.cpp
    src/qlippermenuview.cpp
    src/qlippermodel.cpp
    src/qlipperpreferences.cpp
    src/qlipperpreferencesdialog.cpp
    src/qlippersystray.cpp
    src/qlippernetwork.cpp
    src/clipboardwrap.cpp
)
if (WIN32)
    set(QLIPPER_SOURCES ${QLIPPER_SOURCES} src/icons/qlipper.rc)
endif (WIN32)
if (UNIX)
    list(APPEND QLIPPER_HEADERS src/signalhandler.h)
    list(APPEND QLIPPER_SOURCES src/signalhandler.cpp)
endif (UNIX)

if (NOT QXT_FOUND)

    set (HAVE_QXT 1)
    if (APPLE)
        set (QLIPPER_SOURCES ${QLIPPER_SOURCES} qxt/qxtglobalshortcut_mac.cpp)
    elseif (WIN32)
        set (QLIPPER_SOURCES ${QLIPPER_SOURCES} qxt/qxtglobalshortcut_win.cpp)
    elseif (UNIX)
        set (QLIPPER_SOURCES ${QLIPPER_SOURCES} qxt/qxtglobalshortcut_x11.cpp)
        include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
    else ()
        set (HAVE_QXT 0)
        add_definitions(-DNO_QXT)
    endif ()

    if (HAVE_QXT)
        set (QLIPPER_SOURCES ${QLIPPER_SOURCES}
            qxt/qxtglobalshortcut.cpp
        )
        set (QLIPPER_HEADERS ${QLIPPER_HEADERS}
            qxt/qxtglobalshortcut.h
        )
    endif (HAVE_QXT)

endif (NOT QXT_FOUND)

if (APPLE)
    set (QLIPPER_SOURCES ${QLIPPER_SOURCES} macosx/qlipper.icns)
    FIND_LIBRARY(CARBON_LIBRARY Carbon REQURED)
    MESSAGE(STATUS "CARBON_LIBRARY: ${CARBON_LIBRARY}")
elseif (UNIX)
    FIND_PACKAGE(X11 REQUIRED)
    MESSAGE(STATUS "X11_X11_LIB: ${X11_X11_LIB}")
endif ()


set (QLIPPER_FORMS
    src/qlipperpreferencesdialog.ui
)

set (QLIPPER_RESOURCES
    src/qlipper.qrc
)

set (QLIPPER_TRANSLATIONS
    ts/qlipper_cs.ts
    ts/qlipper_de.ts
    ts/qlipper_sr.ts
    ts/qlipper_it.ts
)

QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
QT5_WRAP_CPP( QLIPPER_MOC ${QLIPPER_HEADERS} )
QT5_ADD_RESOURCES( QLIPPER_RCC ${QLIPPER_RESOURCES} )
QT5_ADD_TRANSLATION( QLIPPER_QM ${QLIPPER_TRANSLATIONS} )

include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/qkeysequencewidget
    ${CMAKE_CURRENT_SOURCE_DIR}/qxt
    ${CMAKE_CURRENT_SOURCE_DIR}/qmenuview
)
if (NOT QXT_FOUND)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/qxt)
endif (NOT QXT_FOUND)


add_executable( ${EXE_NAME} WIN32 MACOSX_BUNDLE 
    ${QLIPPER_SOURCES}
    ${QLIPPER_UI}
    ${QLIPPER_MOC}
    ${QLIPPER_RCC}
    ${QLIPPER_QM}
)

target_link_libraries( ${EXE_NAME}
    Qt5::Widgets
)

# single app and optional network features
#target_link_libraries( ${EXE_NAME} ${QT_QTNETWORK_LIBRARY})

if (APPLE)
    target_link_libraries(${EXE_NAME} ${CARBON_LIBRARY})
elseif (UNIX)
    target_link_libraries(${EXE_NAME} ${X11_X11_LIB})
endif ()


if (QXT_FOUND)
    target_link_libraries(${EXE_NAME} ${QXT_CORE_LIB} ${QXT_GUI_LIB})
endif (QXT_FOUND)


# installation
if (APPLE)
    # mac's bundle install
    SET_TARGET_PROPERTIES(${EXE_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_SOURCE_DIR}/macosx/Info.plist.in")
    SET(MACOSX_BUNDLE_ICON_FILE qlipper.icns)
    SET(MACOSX_BUNDLE_INFO_STRING "${EXE_NAME} ${QLIPPER_VERSION}")
    SET(MACOSX_BUNDLE_GUI_IDENTIFIER "cz.yarpen.qlipper")
    SET(MACOSX_BUNDLE_LONG_VERSION_STRING "${QLIPPER_VERSION}")
    SET(MACOSX_BUNDLE_BUNDLE_NAME "${EXE_NAME}")
    SET(MACOSX_BUNDLE_SHORT_VERSION_STRING "${QLIPPER_VERSION}")
    SET(MACOSX_BUNDLE_BUNDLE_VERSION "${QLIPPER_VERSION}")
    SET(MACOSX_BUNDLE_COPYRIGHT "(c) Petr Vanek")
    SET_SOURCE_FILES_PROPERTIES(${CMAKE_SOURCE_DIR}/macosx/qlipper.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)

    INSTALL(TARGETS ${EXE_NAME} BUNDLE DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES ${QLIPPER_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources/translations)

    # create a "transportable" bundle - all libs into the bundle: "make bundle" after make install
    configure_file(macosx/bundle.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake @ONLY)
    add_custom_target(bundle ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/bundle.cmake)

elseif (WIN32)
    install(TARGETS ${EXE_NAME} RUNTIME DESTINATION ./)
    install(FILES ${QLIPPER_QM} DESTINATION ./translations)
elseif (UNIX)
    install(TARGETS ${EXE_NAME} RUNTIME DESTINATION bin)
    install(FILES qlipper.desktop DESTINATION share/applications)
    install(FILES src/icons/qlipper.png DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES ${QLIPPER_QM} DESTINATION share/qlipper/translations)
    add_definitions(-DTRANSLATION_DIR="${CMAKE_INSTALL_PREFIX}/share/qlipper/translations")
endif ()



# make dist custom target
SET(CPACK_PACKAGE_NAME "qlipper")
SET(CPACK_PACKAGE_VERSION ${QLIPPER_VERSION})
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
SET(CPACK_IGNORE_FILES "/CVS/;/\\\\.svn/;/\\\\.git/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;/CMakeFiles/;CMakeCache.txt;\\\\.qm$;/build/;/release/;\\\\.diff$;.DS_Store'")
SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
INCLUDE(CPack)
# simulate autotools' "make dist"
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)


# make lupdate
# it generates new translation files
add_custom_target(lupdate
    ${QT_QMAKE_EXECUTABLE} -project -o ${CMAKE_CURRENT_BINARY_DIR}/qlipper.pro
    COMMAND ${QT_LUPDATE_EXECUTABLE} -noobsolete ${CMAKE_CURRENT_BINARY_DIR}/qlipper.pro
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)
# lrelease
add_custom_target(lrelease
    ${QT_QMAKE_EXECUTABLE} -project -o ${CMAKE_CURRENT_BINARY_DIR}/qlipper.pro
    COMMAND ${QT_LRELEASE_EXECUTABLE} -compress ${CMAKE_CURRENT_BINARY_DIR}/qlipper.pro
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

=== debian/changelog ===
qlipper (1:5.0.0-1) unstable; urgency=medium

  * Cherry-picked upstream release 5.0.0.
  * Added watch file
  * Fixed years in copyright
  * Set epoch to get rid of the old version scheme which was strange right
    from the beginning - we probably should have started with the last tag,
    aka 2.0.2, not with the version in CMakeLists.txt

 -- Alf Gaida <agaida@siduction.org>  Wed, 02 Nov 2016 20:31:58 +0100

qlipper (5.0.0-1~40-g48754f2-1) unstable; urgency=medium

  * Cherry-picking upstream version 5.0.0-1~40-g48754f2.
  * Bumped compat to 10
  * Bumped minimum version debhelper (>= 10)
  * Fixed typo in changelog
  * Removed --parallel from rules, standard compat 10

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Sep 2016 00:34:29 +0200

qlipper (5.0.0-1~31-gdae06f3-1) unstable; urgency=medium

  * Cherry-picking upstream version 5.0.0-1~31-gdae06f3.
  * The real output of git describe is 2.0.2-31-gdae06f3 - but the
    5.0.0 version in CMake was introduced in May 2015. So i finally
    decided to use a version lower than 5.0.0-1. Maybe upstream
    really release 5.0.0 somewhen.
  * Bumped Standards to 3.9.8, no changes needed
  * Fixed VCS fields, using https and plain /git/  
  * Fixed copyright Format field, using https
  * Bumped years in copyrights
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Added hardening options
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo 

 -- Alf Gaida <agaida@siduction.org>  Thu, 21 Jul 2016 22:32:38 +0200

qlipper (5.0.0+20151111-1) unstable; urgency=medium

  * Cherry-picking upstream version 5.0.0+20151111.
  * Removed dbg package in favor of dbgsym.
  * Removed debian/patches, applied upstream

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 02:32:18 +0100

qlipper (5.0.0+20150823-2) unstable; urgency=medium

  * Fix build  with Qt 5, proposed upstream patch (Closes: #803072).

 -- Alf Gaida <agaida@siduction.org>  Mon, 26 Oct 2015 19:30:22 +0100

qlipper (5.0.0+20150823-1) unstable; urgency=low

  * Initial release (Closes: #795792).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 12 Sep 2015 00:58:22 +0800

=== debian/control ===
Source: qlipper
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               libx11-dev,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
Homepage: https://github.com/pvanek/qlipper

Package: qlipper
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Lightweight and cross-platform clipboard history applet
 A Lightweight and cross-platform clipboard history applet. It
 provides the following features:
 .
  - saves clipboard history entries and restores them
  - lightweight
  - systray docking app
  - few requirements
  - can be used in GNOME and Windows (and more)

## qlipper 5.0.0+20151111

=== CMakeLists.txt ===
--- 
+++ 
@@ -106,13 +106,6 @@
     src/qlippernetwork.cpp
     src/clipboardwrap.cpp
 )
-if (WIN32)
-    set(QLIPPER_SOURCES ${QLIPPER_SOURCES} src/icons/qlipper.rc)
-endif (WIN32)
-if (UNIX)
-    list(APPEND QLIPPER_HEADERS src/signalhandler.h)
-    list(APPEND QLIPPER_SOURCES src/signalhandler.cpp)
-endif (UNIX)
 
 if (NOT QXT_FOUND)
 
@@ -160,9 +153,8 @@
 
 set (QLIPPER_TRANSLATIONS
     ts/qlipper_cs.ts
-    ts/qlipper_de.ts
     ts/qlipper_sr.ts
-    ts/qlipper_it.ts
+     ts/qlipper_it.ts
 )
 
 QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                cmake,
                libx11-dev,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
+Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qlipper.git -b debian/sid
 Homepage: https://github.com/pvanek/qlipper
 
 Package: qlipper

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel

## qlipper 5.0.0-1~31

=== CMakeLists.txt ===
--- 
+++ 
@@ -106,6 +106,9 @@
     src/qlippernetwork.cpp
     src/clipboardwrap.cpp
 )
+if (WIN32)
+    set(QLIPPER_SOURCES ${QLIPPER_SOURCES} src/icons/qlipper.rc)
+endif (WIN32)
 
 if (NOT QXT_FOUND)
 
@@ -153,8 +156,9 @@
 
 set (QLIPPER_TRANSLATIONS
     ts/qlipper_cs.ts
+    ts/qlipper_de.ts
     ts/qlipper_sr.ts
-     ts/qlipper_it.ts
+    ts/qlipper_it.ts
 )
 
 QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )

## qlipper 5.0.0-1~31-gdae06f3

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qlipper.git -b debian/sid
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
 Homepage: https://github.com/pvanek/qlipper
 
 Package: qlipper

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake\
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qlipper 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,22 +40,22 @@
 #    It will copy all dependecies (libs/resources) into bundle tree
 # -------------------------------------------------------
 
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.0)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0)
 
 project(qlipper)
 
 
-set(QLIPPER_VERSION 5.0.0)
+set(QLIPPER_VERSION 5.1.1)
 
 option(ENABLE_NETWORK_CLIPBOARD_SHARING "Enables experimental network support for clipboard sharing" OFF)
+option(ENABLE_LXQT_AUTOSTART "Enables autostart for LXQt" OFF)
 option(USE_SYSTEM_QXT "Use system Qxt Library for global shortcuts; off for Qt5" OFF)
-option(USE_SYSTEM_QTSA "Use system QtSingleApplication; off for Qt5" OFF)
 
 
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 
-find_package(Qt5Widgets REQUIRED)
+find_package(Qt5Widgets "5.6" REQUIRED)
 find_package(Qt5LinguistTools REQUIRED)
 
 if (USE_SYSTEM_QXT)
@@ -86,7 +86,6 @@
     qkeysequencewidget/qkeysequencewidget_p.h
     qmenuview/qmenuview.h
     qmenuview/qmenuview_p.h
-    src/qlippermenuview.h
     src/qlippermodel.h
     src/qlipperpreferencesdialog.h
     src/qlippersystray.h
@@ -98,7 +97,6 @@
     qmenuview/qmenuview.cpp
     src/main.cpp
     src/qlipperitem.cpp
-    src/qlippermenuview.cpp
     src/qlippermodel.cpp
     src/qlipperpreferences.cpp
     src/qlipperpreferencesdialog.cpp
@@ -109,6 +107,10 @@
 if (WIN32)
     set(QLIPPER_SOURCES ${QLIPPER_SOURCES} src/icons/qlipper.rc)
 endif (WIN32)
+if (UNIX)
+    list(APPEND QLIPPER_HEADERS src/signalhandler.h)
+    list(APPEND QLIPPER_SOURCES src/signalhandler.cpp)
+endif (UNIX)
 
 if (NOT QXT_FOUND)
 
@@ -155,10 +157,14 @@
 )
 
 set (QLIPPER_TRANSLATIONS
+    ts/qlipper_ca.ts
     ts/qlipper_cs.ts
     ts/qlipper_de.ts
+    ts/qlipper_lt.ts
+    ts/qlipper_pl.ts
     ts/qlipper_sr.ts
     ts/qlipper_it.ts
+    ts/qlipper_zh_CN.ts
 )
 
 QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
@@ -186,6 +192,8 @@
     ${QLIPPER_RCC}
     ${QLIPPER_QM}
 )
+set_property(TARGET ${EXE_NAME} PROPERTY CXX_STANDARD 11)
+set_property(TARGET ${EXE_NAME} PROPERTY CXX_STANDARD_REQUIRED ON)
 
 target_link_libraries( ${EXE_NAME}
     Qt5::Widgets
@@ -266,3 +274,11 @@
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
 )
 
+# merged from lxqt-common
+if (ENABLE_LXQT_AUTOSTART)
+    set(LXQTBT_MINIMUM_VERSION "0.3.2")
+    find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+    include(LXQtConfigVars)
+    include(LXQtTranslateDesktop)
+    add_subdirectory(lxqt-autostart)
+endif ()

=== debian/changelog ===
qlipper (1:5.1.1-2) unstable; urgency=medium

  * Added missed breaks and replaces for lxqt-common (<< 0.12.0) 

 -- Alf Gaida <agaida@siduction.org>  Fri, 08 Dec 2017 18:39:03 +0100

qlipper (1:5.1.1-1) unstable; urgency=medium

  * Cherry-picked upstream release 5.1.1.
  * New build dependency lxqt-build-tools (>= 0.4.0)
  * Bumped Standards to 4.1.2 - no changes needed
  * Removed branch from VCS-fields
  * Bumped Copyright years
  * Enable LXQt autostart in d/rules
  * Added lxqt-autostart to copyright
  * Added LGPL-2.1+ to copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 08 Dec 2017 17:43:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,24 @@
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                libx11-dev,
+               lxqt-build-tools (>= 0.4.0),
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qlipper.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qlipper.git
 Homepage: https://github.com/pvanek/qlipper
 
 Package: qlipper
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: lxqt-common (<< 0.12.0)
+Replaces: lxqt-common (<< 0.12.0)
 Description: Lightweight and cross-platform clipboard history applet
  A Lightweight and cross-platform clipboard history applet. It
  provides the following features:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qlipper-$1\.tar\.gz/ \
  https://github.com/pvanek/qlipper/tags .*/v?(\d\S+)\.tar\.gz

## qlipper 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 project(qlipper)
 
 
-set(QLIPPER_VERSION 5.1.1)
+set(QLIPPER_VERSION 5.1.2)
 
 option(ENABLE_NETWORK_CLIPBOARD_SHARING "Enables experimental network support for clipboard sharing" OFF)
 option(ENABLE_LXQT_AUTOSTART "Enables autostart for LXQt" OFF)
@@ -53,7 +53,6 @@
 
 
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-
 
 find_package(Qt5Widgets "5.6" REQUIRED)
 find_package(Qt5LinguistTools REQUIRED)
@@ -77,6 +76,7 @@
 add_definitions(-DQLIPPER_VERSION="${QLIPPER_VERSION}")
 if (ENABLE_NETWORK_CLIPBOARD_SHARING)
     add_definitions(-DENABLE_NETWORK_CLIPBOARD_SHARING)
+    find_package(Qt5Network REQUIRED)
 endif (ENABLE_NETWORK_CLIPBOARD_SHARING)
 
 
@@ -160,6 +160,7 @@
     ts/qlipper_ca.ts
     ts/qlipper_cs.ts
     ts/qlipper_de.ts
+    ts/qlipper_es.ts
     ts/qlipper_lt.ts
     ts/qlipper_pl.ts
     ts/qlipper_sr.ts
@@ -198,6 +199,12 @@
 target_link_libraries( ${EXE_NAME}
     Qt5::Widgets
 )
+
+if (ENABLE_NETWORK_CLIPBOARD_SHARING)
+    target_link_libraries( ${EXE_NAME}
+        Qt5::Network
+    )
+endif(ENABLE_NETWORK_CLIPBOARD_SHARING)
 
 # single app and optional network features
 #target_link_libraries( ${EXE_NAME} ${QT_QTNETWORK_LIBRARY})

=== debian/changelog ===
qlipper (1:5.1.2-4) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Andrew Lee (李健秋) ]
  * debian/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5.
    (Closes: #1113444).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 11 Oct 2025 14:38:41 +0200

qlipper (1:5.1.2-3) unstable; urgency=medium

  * Clean up of group membership after 2nd calls.
  * debian/control: build-deps on lxqt-build-tools-qt5. (Closes: #1090287)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: update.
  * debian/source/local-options: drop unused file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 15 Feb 2025 14:28:12 +0100

qlipper (1:5.1.2-2) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on lxqt-build-tools.

  [ Alf Gaida ]
  * Switched to gbp

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster (oldstable)

  [ Andrew Lee (李健秋) ]
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: drop breaks and replaces on obsoleted version.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 15:56:13 +0200

qlipper (1:5.1.2-1) unstable; urgency=medium

  * Cherry-picked upstream release 5.1.2.
  * Bumped Standards to 4.3.0, no changes needed
  * Bumped years in copyright
  * use debhelper-compat (= 12) instead of debhelper
  * Enabled network-sharing

 -- Alf Gaida <agaida@siduction.org>  Fri, 01 Mar 2019 00:53:42 +0100

qlipper (1:5.1.1-3) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Bumped years in copyright
  * Removed not used gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 18:51:42 +0200

=== debian/control ===
Source: qlipper
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libx11-dev,
               lxqt-build-tools-qt5,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qlipper
Vcs-Git: https://salsa.debian.org/lxqt-team/qlipper.git
Homepage: https://github.com/pvanek/qlipper

Package: qlipper
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Lightweight and cross-platform clipboard history applet
 A Lightweight and cross-platform clipboard history applet. It
 provides the following features:
 .
  - saves clipboard history entries and restores them
  - lightweight
  - systray docking app
  - few requirements
  - can be used in GNOME and Windows (and more)

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DENABLE_LXQT_AUTOSTART=ON \
		-DENABLE_NETWORK_CLIPBOARD_SHARING=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
Version: 5
Template: GitHub
Owner: pvanek
Project: @PACKAGE@

## qlipper 6.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,22 +40,29 @@
 #    It will copy all dependecies (libs/resources) into bundle tree
 # -------------------------------------------------------
 
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0)
-
+CMAKE_MINIMUM_REQUIRED(VERSION 3.11) 
+# from 3.1.0 to 3.6 because CMake now don't support backward compatibility for CMake < v3.5
+# and in future support for 3.11 is also getting dropped !
 project(qlipper)
 
 
-set(QLIPPER_VERSION 5.1.2)
+set(QLIPPER_VERSION 6.0.0)
 
 option(ENABLE_NETWORK_CLIPBOARD_SHARING "Enables experimental network support for clipboard sharing" OFF)
 option(ENABLE_LXQT_AUTOSTART "Enables autostart for LXQt" OFF)
-option(USE_SYSTEM_QXT "Use system Qxt Library for global shortcuts; off for Qt5" OFF)
+option(USE_SYSTEM_QXT "Use system Qxt Library for global shortcuts; off for Qt6" OFF)
 
 
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
-find_package(Qt5Widgets "5.6" REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
+find_package(Qt6Widgets REQUIRED)
+find_package(Qt6LinguistTools REQUIRED)
+find_package(KF6GuiAddons REQUIRED)
+
+# Qt 6.10: Usage of a private Qt module Foo now requires a call to find_package(Qt6 COMPONENTS FooPrivate) to make the Qt6::FooPrivate target available.
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6 REQUIRED COMPONENTS GuiPrivate)
+endif()
 
 if (USE_SYSTEM_QXT)
     find_package(Qxt)
@@ -76,7 +83,7 @@
 add_definitions(-DQLIPPER_VERSION="${QLIPPER_VERSION}")
 if (ENABLE_NETWORK_CLIPBOARD_SHARING)
     add_definitions(-DENABLE_NETWORK_CLIPBOARD_SHARING)
-    find_package(Qt5Network REQUIRED)
+    find_package(Qt6Network REQUIRED)
 endif (ENABLE_NETWORK_CLIPBOARD_SHARING)
 
 
@@ -121,7 +128,7 @@
         set (QLIPPER_SOURCES ${QLIPPER_SOURCES} qxt/qxtglobalshortcut_win.cpp)
     elseif (UNIX)
         set (QLIPPER_SOURCES ${QLIPPER_SOURCES} qxt/qxtglobalshortcut_x11.cpp)
-        include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
+        include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})
     else ()
         set (HAVE_QXT 0)
         add_definitions(-DNO_QXT)
@@ -161,17 +168,20 @@
     ts/qlipper_cs.ts
     ts/qlipper_de.ts
     ts/qlipper_es.ts
+    ts/qlipper_ja.ts
     ts/qlipper_lt.ts
     ts/qlipper_pl.ts
     ts/qlipper_sr.ts
+    ts/qlipper_sv.ts
     ts/qlipper_it.ts
     ts/qlipper_zh_CN.ts
-)
-
-QT5_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
-QT5_WRAP_CPP( QLIPPER_MOC ${QLIPPER_HEADERS} )
-QT5_ADD_RESOURCES( QLIPPER_RCC ${QLIPPER_RESOURCES} )
-QT5_ADD_TRANSLATION( QLIPPER_QM ${QLIPPER_TRANSLATIONS} )
+    ts/qlipper_pt.ts
+)
+
+QT6_WRAP_UI( QLIPPER_UI ${QLIPPER_FORMS} )
+QT6_WRAP_CPP( QLIPPER_MOC ${QLIPPER_HEADERS} )
+QT6_ADD_RESOURCES( QLIPPER_RCC ${QLIPPER_RESOURCES} )
+QT6_ADD_TRANSLATION( QLIPPER_QM ${QLIPPER_TRANSLATIONS} )
 
 include_directories (
     ${CMAKE_CURRENT_SOURCE_DIR}/src
@@ -197,12 +207,17 @@
 set_property(TARGET ${EXE_NAME} PROPERTY CXX_STANDARD_REQUIRED ON)
 
 target_link_libraries( ${EXE_NAME}
-    Qt5::Widgets
+    PUBLIC
+        Qt6::Widgets
+        KF6::GuiAddons
+    PRIVATE
+        Qt6::GuiPrivate
 )
 
 if (ENABLE_NETWORK_CLIPBOARD_SHARING)
     target_link_libraries( ${EXE_NAME}
-        Qt5::Network
+        PUBLIC
+            Qt6::Network
     )
 endif(ENABLE_NETWORK_CLIPBOARD_SHARING)
 
@@ -210,9 +225,15 @@
 #target_link_libraries( ${EXE_NAME} ${QT_QTNETWORK_LIBRARY})
 
 if (APPLE)
-    target_link_libraries(${EXE_NAME} ${CARBON_LIBRARY})
+    target_link_libraries(${EXE_NAME}
+        PUBLIC
+            ${CARBON_LIBRARY}
+    )
 elseif (UNIX)
-    target_link_libraries(${EXE_NAME} ${X11_X11_LIB})
+    target_link_libraries(${EXE_NAME}
+        PUBLIC
+            ${X11_X11_LIB}
+)
 endif ()
 
 
@@ -283,8 +304,8 @@
 
 # merged from lxqt-common
 if (ENABLE_LXQT_AUTOSTART)
-    set(LXQTBT_MINIMUM_VERSION "0.3.2")
-    find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+    set(LXQTBT_MINIMUM_VERSION "2.0.0")
+    find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
     include(LXQtConfigVars)
     include(LXQtTranslateDesktop)
     add_subdirectory(lxqt-autostart)

=== debian/changelog ===
qlipper (1:6.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.0.0.
  * debian/control: Bump build dependency to lxqt-build-tools.
  * debian/control: Bump build dependency to qt6-base-private-dev.
  * debian/control: Bump build dependency to qt6-tools-dev.
  * debian/control: Bump build dependency to qt6-tools-dev-tools.
  * debian/control: Build depends on libkf6guiaddons-dev.
  * debian/control: Drop Priority: optional (now defaults).
  * debian/control: Bump standards version to 4.7.3.
  * debian/copyright: Add myself.
  * debian/gbp.conf: Drop compression so salsa CI can build.

 -- Joel Orón Valiente <moded3v@gmail.com>  Wed, 31 Dec 2025 18:37:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libx11-dev,
-               lxqt-build-tools-qt5,
-               qtbase5-private-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.7.0
+               libkf6guiaddons-dev,
+               lxqt-build-tools,
+               qt6-base-private-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qlipper
 Vcs-Git: https://salsa.debian.org/lxqt-team/qlipper.git
 Homepage: https://github.com/pvanek/qlipper
